Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

# Class SingleTestClass

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.SingleTestClass

All Implemented Interfaces:
  `NamedTest`

public class SingleTestClass extends TestDefinition implements NamedTest
Represents the single `test` (class) that's configured to be launched by the `JUnitLauncherTask`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

  `TestDefinition.ForkedRepresentation`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

  `excludeEngines, failureProperty, forkDefinition, haltOnFailure, ifProperty, includeEngines, listeners, outputDir, unlessProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleTestClass()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TestDefinition`
  `fromForkedRepresentation(XMLStreamReader reader)`
  `String[]`
  `getMethods()`
  `String`
  `getName()`
  `void`
  `setMethods(String methods)`
  `void`
  `setName(String test)`
  `protected List<TestDefinition.ForkedRepresentation>`
  `toForkedRepresentations()`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

  `addConfiguredListener, createFork, getExcludeEngines, getFailureProperty, getIncludeEngines, getListeners, getOutputDir, isHaltOnFailure, setExcludeEngines, setFailureProperty, setHaltOnFailure, setIf, setIncludeEngines, setOutputDir, setUnless, shouldRun`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SingleTestClass

    public SingleTestClass()

- ## Method Details

  - ### setName

    public void setName(String test)

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `NamedTest`
    Returns:
      Returns the name of the test

  - ### setMethods

    public void setMethods(String methods)

  - ### getMethods

    public String[] getMethods()

  - ### toForkedRepresentations

    protected List<TestDefinition.ForkedRepresentation> toForkedRepresentations() throws IllegalStateException
    Specified by:
      `toForkedRepresentations` in class `TestDefinition`
    Throws:
      `IllegalStateException`

  - ### fromForkedRepresentation

    public static TestDefinition fromForkedRepresentation(XMLStreamReader reader) throws XMLStreamException
    Throws:
      `XMLStreamException`